> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timepay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Text to Speech

> Converts text to audio and streams the result.



## OpenAPI

````yaml POST /api/v1/get_speech
openapi: 3.1.0
info:
  title: Vox API
  description: >-
    API documentation for Vox (timepay.ai) - The hyper-realistic emotional
    text-to-speech platform.
  version: 1.0.0
servers:
  - url: https://api.tts.timepay.ai
security:
  - bearerAuth: []
paths:
  /api/v1/get_speech:
    post:
      summary: Generate Speech
      description: Converts text to audio and streams the result.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SpeechRequest'
      responses:
        '200':
          description: Streams audio/wav data. Headers include X-Request-ID.
          headers:
            X-Request-ID:
              description: Unique ID for the request
              schema:
                type: string
          content:
            audio/wav:
              schema:
                type: string
                format: binary
              example: UklGRiQAAABXQVZFZm10IBAAAAABAAEAIlYA...
components:
  schemas:
    SpeechRequest:
      type: object
      required:
        - text
        - voice_id
      properties:
        text:
          type: string
          description: The text to convert to speech.
          example: Hello, welcome to Vox.
        voice_id:
          type: string
          description: The specific voice_id to use for synthesis.
          example: Ogbs15oBevLzXsUuTtA1
          enum:
            - Kartik -> Ogbs15oBevLzXsUuTtA1
            - Rahul -> Owbs15oBevLzXsUurdA_
            - Nisha -> PAbs15oBevLzXsUu4dCi
            - Tulsi -> PQbt15oBevLzXsUuNtD3
            - Seema -> Pgbt15oBevLzXsUubdA6
        language:
          type: string
          description: ISO language code.
          default: en
          example: en
          enum:
            - en
            - hi
            - mr
            - ta
            - te
            - gu
            - kn
            - ml
            - bn
            - pa
            - od
            - as
        add_wav_header:
          type: boolean
          description: If true, adds a WAV header to the stream for immediate playback.
          default: true
        sample_rate:
          type: number
          description: >-
            Audio sample rate. The supported sample rates are 8000, 16000 and
            24000 Hz.
          default: 24000
          example: 24000
        speed:
          type: number
          description: >-
            The speed is a float varies from 0.5 to 2.0, where 1.0 is the normal
            speed.
          default: 1
          example: 1.5
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````